{% extends '../../base.html'%} {% block main %} {% load static %}


<div style="display: flex" class="position-relative">
  {% include "../../components/quick_access.html" %}
  <div class="container container d-flex flex-column edit-profile-container">
    <form method="POST">
      {% csrf_token %}
      <div class="col" style="position: relative">
        <label for="rue_number">Numéro de rue :</label>
        <input
          type="number"
          name="rue_number"
          id="rue_number"
          placeholder="5"
          required
          class="address-input"
          {%if request.user.address %}
          value="{{ request.user.address.rue_number }}"
          {% endif %}
        />
        <i class="fa-solid fa-location-dot cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <label for="rue_name">Nom du rue :</label>
        <input
          type="text"
          name="rue_name"
          id="rue_name"
          placeholder="Avenu de Anatole"
          required
          class="address-input"
          {%if request.user.address %}
          value="{{ request.user.address.rue_name }}"
          {% endif %}
        />
        <i class="fa-solid fa-location-dot cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <label for="postal_code">Code postal :</label>
        <input
          type="number"
          name="postal_code"
          id="postal_code"
          placeholder="75007"
          required
          class="address-input"
          {%if request.user.address %}
          value="{{ request.user.address.postal_code }}"
          {% endif %}
        />
        <i class="fa-solid fa-location-dot cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <label for="city" id="edit-profile-phone-label">Ville :</label>
        <input
          type="text"
          name="city"
          id="city"
          placeholder="Paris"
          required
          class="address-input"
          {%if request.user.address %}
          value="{{ request.user.address.city }}"
          {% endif %}
        />
        <i class="fa-solid fa-location-dot cost-auth-icon"></i>
      </div>
      <div class="col" style="position: relative">
        <label for="country">Pays :</label>
        <input
          type="text"
          name="country"
          id="country"
          placeholder="France"
          required
          class="address-input"
          {%if request.user.address %}
          value="{{ request.user.address.country }}"
          {% endif %}
        />
        <i class="fa-solid fa-location-dot cost-auth-icon"></i>
      </div>
      <p>
        <label for="address-review">Revue de l'adresse &nbsp;:</label>
        <input
          type="text"
          name="address-review"
          class="text form-control cost-repair-form shadow"
          id="address-review"
          readonly=""
          placeholder="5 Avenu de Anatole, 75007 Paris, France"
          label="Votre adresse"
          {%if request.user.address %}
          value="{{ request.user.address.get_address }}"
          {% endif %}
        />
      </p>
      <script>
        const addressInput = document.querySelectorAll(".address-input");
        const addressReview = document.querySelector("#address-review");
        addressInput.forEach((input) => {
          input.addEventListener("input", () => {
            addressReview.value = `${rue_number.value} ${rue_name.value}, ${postal_code.value} ${city.value}, ${country.value}`;
          });
        });
      </script>

      {% if errer %}
      <div class="alert alert-danger" role="alert">{{ errer }}</div>
      {% endif %}
      <div
        style="
          display: flex;
          width: 100%;
          text-align: center;
          justify-content: center;
        "
      >
        <button class="btn btn-primary" type="submit">Sauvegarder</button>
      </div>
    </form>
  </div>
</div>

<script></script>
<style></style>

{% endblock main%}
